Launch
Launchpads of a chain
The launchpads of one chain with their aliases. For Robinhood it also names the pons factory, router and request shape.
GET
/
launch
/
{chain}
Launchpads of one chain
curl --request GET \
--url https://router.raze.bot/launch/{chain} \
--header 'x-api-key: <api-key>'import requests
url = "https://router.raze.bot/launch/{chain}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://router.raze.bot/launch/{chain}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://router.raze.bot/launch/{chain}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://router.raze.bot/launch/{chain}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://router.raze.bot/launch/{chain}")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://router.raze.bot/launch/{chain}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"ok": true,
"data": {
"slug": "sol",
"family": "solana",
"platforms": [
{
"id": "pump",
"aliases": [
"pumpfun"
],
"name": "Pump.fun",
"wired": true
},
{
"id": "raydium",
"aliases": [
"letsbonk",
"bonk",
"usd1",
"stonkfun",
"launchlab"
],
"name": "Raydium LaunchLab",
"wired": true
},
{
"id": "meteora",
"aliases": [
"bags"
],
"name": "Meteora DBC (Bags)",
"wired": true
}
],
"unwired": [
{
"id": "anoncoin",
"name": "Anoncoin"
},
{
"id": "surge",
"name": "Surge"
},
{
"id": "printr",
"name": "Printr"
},
{
"id": "meteoradbc",
"name": "Meteora DBC"
}
]
},
"error": null,
"nextCursor": null
}The launchpads of one chain with the aliases
platform accepts. Guide: Launch.Path Parameters
⌘I
Launchpads of one chain
curl --request GET \
--url https://router.raze.bot/launch/{chain} \
--header 'x-api-key: <api-key>'import requests
url = "https://router.raze.bot/launch/{chain}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://router.raze.bot/launch/{chain}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://router.raze.bot/launch/{chain}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://router.raze.bot/launch/{chain}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://router.raze.bot/launch/{chain}")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://router.raze.bot/launch/{chain}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"ok": true,
"data": {
"slug": "sol",
"family": "solana",
"platforms": [
{
"id": "pump",
"aliases": [
"pumpfun"
],
"name": "Pump.fun",
"wired": true
},
{
"id": "raydium",
"aliases": [
"letsbonk",
"bonk",
"usd1",
"stonkfun",
"launchlab"
],
"name": "Raydium LaunchLab",
"wired": true
},
{
"id": "meteora",
"aliases": [
"bags"
],
"name": "Meteora DBC (Bags)",
"wired": true
}
],
"unwired": [
{
"id": "anoncoin",
"name": "Anoncoin"
},
{
"id": "surge",
"name": "Surge"
},
{
"id": "printr",
"name": "Printr"
},
{
"id": "meteoradbc",
"name": "Meteora DBC"
}
]
},
"error": null,
"nextCursor": null
}